Get a TSG promotion
Returns one TSG promotion by `id`. Requires `Permissions.Promotions.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
applyBiggerDiscountWithCustomerCard?booleanbarcode?stringLength
length <= 20daysOfWeek?integerFormat
int32deletedAt?|Format
date-timedescription?stringLength
length <= 200discountGroupId?integerFormat
int32discountValidAlways?booleanhours?integerFormat
int32id?integerFormat
int32isDeleted?booleanisInactiveForEshop?booleanisPrioritized?booleanname?stringLength
length <= 80onlyForCompanyTypeRetailCustomer?booleanonlyForCompanyTypeWholeSaleCustomer?booleanonlyForPos?booleanonlyForRegisteredCustomers?booleansoldAll?booleanuseWarehousePrice?booleanvalidFrom?|Format
date-timevalidTo?|Format
date-timefilters?array<>warehouses?array<>curl -X GET 'https://<your-instance>/api/promotions/tgs-promotions/0' \ -H 'Authorization: Bearer <access-token>'{ "applyBiggerDiscountWithCustomerCard": true, "barcode": "string", "daysOfWeek": 0, "deletedAt": "2019-08-24T14:15:22Z", "description": "string", "discountGroupId": 0, "discountValidAlways": true, "hours": 0, "id": 0, "isDeleted": true, "isInactiveForEshop": true, "isPrioritized": true, "name": "string", "onlyForCompanyTypeRetailCustomer": true, "onlyForCompanyTypeWholeSaleCustomer": true, "onlyForPos": true, "onlyForRegisteredCustomers": true, "soldAll": true, "useWarehousePrice": true, "validFrom": "2019-08-24T14:15:22Z", "validTo": "2019-08-24T14:15:22Z", "filters": [ { "discountAmount": 0, "discountPercent": 0, "groupId": 0, "id": 0, "manufacturersBrandId": 0, "modelId": 0, "price": 0, "priceWoVat": 0, "promotionId": 0, "seasonId": 0, "subGroupId": 0, "themeId": 0 } ], "warehouses": [ { "id": 0, "promotionId": 0, "warehouseId": 0 } ]}